jQuery(document).ready(function ($) {
  if ($(".swiper")) {
    const swiper = new Swiper(".swiper", {
      speed: 400,
      spaceBetween: 20,
      pagination: {
        el: ".swiper-pagination",
        clickable: true,
      },
      slidesPerView: 1,
      navigation: {
        nextEl: ".swiper-button-next",
        prevEl: ".swiper-button-prev",
      },
    });
  }
  if ($("#swiper-2")) {
    const swiper_two = new Swiper("#swiper-2", {
      speed: 400,
      spaceBetween: 40,
      pagination: {
        el: ".swiper-pagination",
        clickable: true,
      },
      slidesPerView: 2,
      navigation: {
        nextEl: ".swiper-button-next",
        prevEl: ".swiper-button-prev",
      },
    });
  }

  const tabs = document.querySelectorAll(".navtab");
  const contents = document.querySelectorAll(".tab-content");
  tabs.forEach((tab) => {
    tab.addEventListener("click", () => {
      tabs.forEach((t) => t.classList.remove("active"));
      tab.classList.add("active");
      const target = tab.getAttribute("data-target");
      contents.forEach((content) => {
        if (content.id === target) {
          content.classList.add("active");
        } else {
          content.classList.remove("active");
        }
      });
    });
  });

  const nav = $("#masthead");
  let navToggle = $(".nav-toggle");
  let bars = document.querySelectorAll(".bar");
  const menuOverlay = $("#menu-overlay");
  $(".aboutmenu a, .offermenu a").on("click", function () {
    menuOverlay.toggleClass("active");
    bars.forEach((bar) => bar.classList.toggle("x"));
  });
  function toggleHamburger(e) {
    bars.forEach((bar) => bar.classList.toggle("x"));
    if (menuOverlay.hasClass("active")) {
      menuOverlay.toggleClass("active");
    } else {
      menuOverlay.toggleClass("active");
      nav.addClass("with-bg");
    }
  }

  navToggle.on("click", toggleHamburger);
  $(".mobileMenu a").on("click", toggleHamburger);

  document.addEventListener(
    "wpcf7invalid",
    function (event) {
      setTimeout(function () {
        $("html")
          .stop()
          .animate(
            {
              scrollTop:
                $("#" + event.detail.unitTag + " .wpcf7-not-valid")
                  .eq(0)
                  .offset().top - 140,
            },
            500,
            "swing"
          );
      }, 100);
    },
    false
  );

  const total = $("#total");
  let amount = 0;
  let size = $('#step-1 input[type="radio"]:checked').val();
  amount += 250;

  $('input[type="radio"], input[type="checkbox"]').click(function () {
    if (
      $(this).val().includes("beza") &&
      $(this).prop("name") === "cake_type"
    ) {
      $(".size-label, .base-label").each(function () {
        $(this).hide();
      });
      $("#croquant").hide();
      $("#no-sizes").show();
      $("#no-base").show();
    }

    if (
      !$(this).val().includes("beza") &&
      $(this).prop("name") === "cake_type"
    ) {
      $(".size-label, .base-label").each(function () {
        $(this).show();
      });
      $("#croquant").show();
      $("#no-sizes").hide();
      $("#no-base").hide();
    }
    // bez laktozy
    if ($(this).val() === "krem-bez-laktozy") {
      $("#non-lactose-div").show();
    }
    if ($('input[name="cream-type"]:checked').val() !== "krem-bez-laktozy") {
      $("#non-lactose-div").hide();
      $('input[name="cream-type-no-lactose"]').each(function () {
        $(this).prop("checked", false);
      });
    }

    // smak kremu z owocami
    if (
      $(this).val() === "smak-waniliowy-z-owocami" ||
      $(this).val() === "smak-czekoladowy-z-owocami"
    ) {
      $("#cream-taste-fruits-div").show();
    }
    if (
      $('input[name="cream-taste"]:checked').val() !==
        "smak-czekoladowy-z-owocami" &&
      $('input[name="cream-taste"]:checked').val() !==
        "smak-waniliowy-z-owocami"
    ) {
      $("#cream-taste-fruits-div").hide();
      $('input[name="cream-taste-fruits"]').each(function () {
        $(this).prop("checked", false);
      });
    }

    // smak kremu owocowy
    if ($(this).val() === "smak-owocowy") {
      $("#cream-taste-fruits-div-2").show();
    }
    if ($('input[name="cream-taste"]:checked').val() !== "smak-owocowy") {
      $("#cream-taste-fruits-div-2").hide();
      $('input[name="cream-taste-fruits-2"]').each(function () {
        $(this).prop("checked", false);
      });
    }

    if ($(this).val() === "smietana-owoce-sezonowe-mix") {
      $('input[name="cream-taste-fruits-2"]').each(function () {
        if ($(this).val() !== "smietana-owoce-sezonowe-mix") {
          $(this).prop("checked", false);
        }
      });
    }
    if (
      $(this).prop("name") === "cream-taste-fruits-2" &&
      $(this).val() !== "smietana-owoce-sezonowe-mix"
    ) {
      $('input[value="smietana-owoce-sezonowe-mix"]').prop("checked", false);
    }
    if ($('input[name="cream-taste-fruits-2"]:checked').length > 2) {
      alert("Możesz wybrać maksymalnie dwa owoce!");

      $(this).prop("checked", false);
    }

    if ($(this).val() === "owocowe-sezonowe-mix") {
      $('input[name="cream-taste-fruits"]').each(function () {
        if ($(this).val() !== "owocowe-sezonowe-mix") {
          $(this).prop("checked", false);
        }
      });
    }
    if (
      $(this).prop("name") === "cream-taste-fruits" &&
      $(this).val() !== "owocowe-sezonowe-mix"
    ) {
      $('input[value="owocowe-sezonowe-mix"]').prop("checked", false);
    }
    if ($('input[name="cream-taste-fruits"]:checked').length > 2) {
      alert("Możesz wybrać maksymalnie dwa owoce!");

      $(this).prop("checked", false);
    }

    //praliny
    if ($(this).val() === "dodatek-praliny") {
      $("#addons-div").show();
    }
    const addonsChecked = [];
    if ($('input[name="addons"]:checked').length > 0) {
      $('input[name="addons"]:checked').each(function () {
        addonsChecked.push($(this).val());
      });
    }
    if (!addonsChecked.includes("dodatek-praliny")) {
      $("#addons-div").hide();
      $('input[name="addons-2"]').each(function () {
        $(this).prop("checked", false);
      });
    }

    //mus owocowy
    if ($(this).val() === "dodatek-mus-owocowy") {
      $("#addons-fruits-div").show();
    }
    if (!addonsChecked.includes("dodatek-mus-owocowy")) {
      $("#addons-fruits-div").hide();
      $('input[name="addons-fruits"]').each(function () {
        $(this).prop("checked", false);
      });
    }

    //maslany drip
    if ($(this).val() === "dressing-drip-kwiaty-i-owoce") {
      $("#maslany-drip").show();
    }
    if (
      $('input[name="dressing"]:checked').val() !==
      "dressing-drip-kwiaty-i-owoce"
    ) {
      $("#maslany-drip").hide();
      $('input[name="dressing_drip"]').each(function () {
        $(this).prop("checked", false);
      });
    }

    //naked
    if ($(this).val() === "dressing-drip-naked") {
      $("#naked-drip").show();
    }
    if ($('input[name="dressing"]:checked').val() !== "dressing-drip-naked") {
      $("#naked-drip").hide();
      $('input[name="dressing_drip_naked"]').each(function () {
        $(this).prop("checked", false);
      });
    }

    // dodatek brak
    if ($(this).val() === "dodatek-brak") {
      $("#addons-div").hide();
      $('input[name="addons-2"]').each(function () {
        $(this).prop("checked", false);
      });
      $("#addons-fruits-div").hide();
      $('input[name="addons-fruits"]').each(function () {
        $(this).prop("checked", false);
      });
      $('input[name="addons"]:checked').each(function () {
        if ($(this).val() === "dodatek-brak") return;
        $(this).prop("checked", false);
      });
    }
    if (
      [
        "dodatek-praliny",
        "dodatek-croquant",
        "dodatek-slony-karmel",
        "dodatek-mus-owocowy",
      ].includes($(this).val())
    ) {
      $("input[value='dodatek-brak']").prop("checked", false);
    }

    let amount = 0;
    size = $('#step-1 input[type="radio"]:checked').val();

    $('input[type="radio"]:checked, input[type="checkbox"]:checked').each(
      function () {
        if (!size) {
          size = "0.11";
        }

        const add = data[$(this).val()][getSize(size)];

        amount += add;
      }
    );
    total.html(amount);
    $("#wartosc").val(amount);
  });

  total.html(amount);
});

function getSize(val) {
  if (val === "0.01") return "sm";
  if (val === "0.11") return "md";
  if (val === "0.111") return "lg";
}

const data = {
  0.11: {
    sm: 0,
    md: 0,
    lg: 0,
  },
  0.111: {
    sm: 0,
    md: 0,
    lg: 0,
  },
  0.01: {
    sm: 0,
    md: 0,
    lg: 0,
  },
  biszkoptowe: {
    sm: 250,
    md: 300,
    lg: 400,
  },
  czekoladowe: {
    sm: 270,
    md: 330,
    lg: 440,
  },
  "puree-pomaranczowe": {
    sm: 290,
    md: 350,
    lg: 370,
  },
  "puree-cytrynowe": {
    sm: 290,
    md: 350,
    lg: 370,
  },
  "bezglutenowe-bez-orzechow": {
    sm: 280,
    md: 340,
    lg: 360,
  },
  "pszenne-bananowe": {
    sm: 280,
    md: 340,
    lg: 360,
  },
  "bezglutenowe-bananowe": {
    sm: 280,
    md: 340,
    lg: 360,
  },
  "beza-2-porcje": {
    sm: 60,
    md: 60,
    lg: 60,
  },
  "beza-4-porcje": {
    sm: 120,
    md: 120,
    lg: 120,
  },
  "beza-6-porcji": {
    sm: 180,
    md: 180,
    lg: 180,
  },
  "beza-8-porcji": {
    sm: 240,
    md: 240,
    lg: 240,
  },
  "beza-10-porcji": {
    sm: 300,
    md: 300,
    lg: 300,
  },
  "krem-smietanowy": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "krem-weganski": {
    sm: 10,
    md: 15,
    lg: 25,
  },
  "krem-maslany": {
    sm: 15,
    md: 25,
    lg: 35,
  },
  "krem-bez-laktozy": {
    sm: 20,
    md: 30,
    lg: 45,
  },
  mascarpone: {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "mleko-bez-laktozy": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "smak-waniliowy-bez-niczego": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "smak-waniliowy-z-owocami": {
    sm: 10,
    md: 20,
    lg: 35,
  },
  "smak-czekoladowy-bez-niczego": {
    sm: 5,
    md: 8,
    lg: 12,
  },
  "smak-czekoladowy-z-owocami": {
    sm: 10,
    md: 20,
    lg: 35,
  },
  "smak-pistacjowy-bez-niczego": {
    sm: 30,
    md: 38,
    lg: 50,
  },
  "smak-pistacjowy-z-malinami": {
    sm: 40,
    md: 58,
    lg: 85,
  },
  "smak-owocowy": {
    sm: 15,
    md: 25,
    lg: 35,
  },
  "owoce-sezonowe-mix": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "owocowe-sezonowe-mix": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  truskawki: {
    sm: 0,
    md: 0,
    lg: 0,
  },
  maliny: {
    sm: 0,
    md: 0,
    lg: 0,
  },
  mango: {
    sm: 0,
    md: 0,
    lg: 0,
  },
  jagody: {
    sm: 0,
    md: 0,
    lg: 0,
  },
  borowki: {
    sm: 0,
    md: 0,
    lg: 0,
  },
  marakuja: {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "smietana-owoce-sezonowe-mix": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "smietana-truskawki": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "smietana-maliny": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "smietana-mango": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "smietana-jagody": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "smietana-borowki": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "nasaczenie-alkohol": {
    sm: 20,
    md: 30,
    lg: 40,
  },
  "nasaczenie-herbata": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "nasaczenie-kawa": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "nasaczenie-sok-owocowy": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "nasaczenie-herbata": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dodatek-praliny": {
    sm: 6,
    md: 8,
    lg: 15,
  },
  "dodatek-croquant": {
    sm: 5,
    md: 8,
    lg: 12,
  },
  "dodatek-slony-karmel": {
    sm: 5,
    md: 8,
    lg: 12,
  },
  "dodatek-mus-owocowy": {
    sm: 5,
    md: 8,
    lg: 12,
  },
  "dodatek-brak": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dodatek-orzech-laskowy": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dodatek-pistacja-z-czekolada": {
    sm: 4,
    md: 7,
    lg: 10,
  },
  "dodatek-warstwa-marakujowa": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dodatek-warstwa-truskawkowa": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dodatek-warstwa-malinowa": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dodatek-warstwa-mango": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dodatek-warstwa-jagodowa": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dressing-drip-kwiaty-i-owoce": {
    sm: 30,
    md: 45,
    lg: 65,
  },

  "dressing-drip-biala-czekolada": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dressing-drip-ciemna-czekolada": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dressing-drip-karmel": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dressing-drip-kwiaty": {
    sm: 20,
    md: 30,
    lg: 40,
  },
  "dressing-drip-naked-kwiaty-i-owoce": {
    sm: 30,
    md: 45,
    lg: 65,
  },
  "dressing-kwiaty-i-owoce": {
    sm: 30,
    md: 45,
    lg: 65,
  },
  "dressing-drip-kwiaty-i-owoce": {
    sm: 30,
    md: 45,
    lg: 65,
  },
  "dressing-drip-owoce": {
    sm: 10,
    md: 15,
    lg: 25,
  },
  "dressing-drip-naked": {
    sm: 30,
    md: 45,
    lg: 65,
  },
  "dressing-drip-naked-biala-czekolada": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dressing-drip-naked-ciemna-czekolada": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dressing-drip-naked-karmel": {
    sm: 0,
    md: 0,
    lg: 0,
  },
  "dressing-drip-naked-kwiaty": {
    sm: 20,
    md: 30,
    lg: 40,
  },
  "dressing-drip-naked-owoce": {
    sm: 10,
    md: 15,
    lg: 25,
  },
  "dressing-lamberth": {
    sm: 30,
    md: 50,
    lg: 80,
  },
};

/* plyr */
document.addEventListener('DOMContentLoaded', function() {
  if( document.querySelectorAll('.js-video')[0] ) {
    const players = Array.from(document.querySelectorAll('.js-video')).map((p) => new Plyr(p));
    Array.from(players).forEach( function( player ) {
      player.on('play', function() {
        document.querySelector('.plyr__controls').style.display = 'flex';
      });
    });
  }
})